import request from "@/utils/request";

export function getSaleBackPage(data) {
    return request({
        url: "/sales-return/page",
        method: "get",
        params: data
    });
}

export function getSaleBackList(data) {
    return request({
        url: "/sales-return/list",
        method: "post",
        data: data
    });
}

export function addSaleBack(data) {
    return request({
        url: "/sales-return/add",
        method: "post",
        data: data
    });
}

export function editSaleBack(data) {
    return request({
        url: "/sales-return/edit",
        method: "post",
        data: data
    });
}

export function delSaleBack(data) {
    return request({
        url: "/sales-return/delete",
        method: "post",
        data: data
    });
}

export function getSaleBackById(data) {
    return request({
        url: "/sales-return/listById",
        method: "post",
        data: data
    });
}
// 获取最新的销售退回单编号
export function getLatestSaleBackNum(data) {
    return request({
        url: "/sales-return/getReturnNum",
        method: "post",
        data: data
    });
}